package com.sqx.modules.message.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.PageUtils;
import com.sqx.common.utils.Result;
import com.sqx.modules.message.entity.MessageInfo;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.RequestAttribute;

import java.util.Map;

public interface MessageService extends IService<MessageInfo> {

    IPage<MessageInfo> selectMessageList(Integer page, Integer limit, MessageInfo messageInfo);

    int saveBody(MessageInfo messageInfo);

    int update(MessageInfo messageInfo);

    int delete(Long id);

    MessageInfo selectMessageById(Long id);

    int updateSendState(Long userId,String state);


    Result getOrderMessage(Long userId);

    Result auditMessage(String ids, Integer status, String auditContent);
}
